Cannot download Bookworm nymea components

Trying to install nymea on an existing RPi-Bookworm system. I get 4 error messages, the first being:

W: Skipping acquire of configured file ‘rpi/binary-arm64/Packages’ as repository ‘http://repository.nymea.io bookworm InRelease’ doesn’t have the component ‘rpi’ (component misspelt in sources.list?)

Simply using a browser to go to http://repository.nymea.io shows that there is no rpi subdirectory. Below ‘pool’ - there is! Is this what apt-get should have gone to? If so, how do I get the directory path fixed?

Thanks for your help!

We dropped the support for the Rasperrypi 1 and zero, which means we moved all packages to the main repository for each architecture. Replace rpi component in your nymea.list with main should do the trick.

PS: we still need to update the documentation, sorry for the inconvenience.

Thanks for your informative reply!
The Zero-2W (love that low power consumption!) is supposed to be able to operate 64-bit (so maybe could use nymea[?]). However I’ve run into problems with the current 64-bit OS.
I will have to do something different.
Thanks again…

Can you share your /etc/apt/sources.list.d/nymea.list?

Do you get any errors when running apt update?

Also, 32 bit packages are still supported, just not that special architecture of the pi 1 and Zero (V1). So for the Zero 2 W you should be fine with whichever, armh and arm64.